#!/bin/ksh

Run_Date=${1}
data=`echo ${Run_Date} | cut -c1-8`
hora=`echo ${Run_Date} | cut -c9-10`
anomes=`echo ${Run_Date} | cut -c1-6`
diahora=`echo ${Run_Date} | cut -c7-10`

cp /stornext/online7/pnt/oper/tempo/externos/Download/NCEP/${anomes}/${diahora}/avhrr-only-v2.${data}_preliminary.gz .
#cp /scratchin/grupos/eta/home/hieta/scratch1_save/worketa/data/grib/sstwkl.${data}${hora} avhrr-only-v2.${data}_preliminary
#cp /stornext/grupos/eta/hieta/grbctl/SST_HIRES_DIEGO/avhrr-only-v2.${data} avhrr-only-v2.${data}_preliminary
#cp /scratchout/oper/tempo/externos/Download/NCEP/${data}/avhrr-only-v2.${data}_preliminary.gz .
#cp /scratch1/grupos/eta/home/gustavo.sueiro/SST_HIRES/worketa/data/grib/avhrr-only-v2.${data}_preliminary.gz .
gunzip avhrr-only-v2.${data}_preliminary.gz

cat <<EOF>> letsm.f90
       program read_daily_SST
!  read daily IEEE SST file and print selected values.

!  sst   - sea surface temperature array (deg C)
!  anom  - sea surface temperature anomalies array (deg C)
!  err   - standard deviation error of sea surface temperature array (deg C)
!  ice   - sea ice concentration (percentage)
!  iyr   - year of analysis
!  imo   - month of analysis
!  ida   - day of analysis
!  alon  - longitude of center of grid square
!  alat  - latitude of center of grid square
!  dall  - grid size (0.25)
!  ax1   - first longitude (0.125 E)
!  ay1   - first latitude (-89.875 or 89.875S)
! 1440   - number of longitudes
!  720   - number of latitudes

      
      parameter(nx=1440,ny=720,nxp1=nx+1)
      integer*2 sst(nx,ny),anom(nx,ny),err(nx,ny),ice(nx,ny)      
      real*4 alat(ny),alon(nx),out(nx,ny),gsst(nxp1,ny)
      integer*4 iyr,imo,ida
      
!
!      dall = 0.25
!      ay1 = -89.875
!      ax1 = 0.125
!      do i=1,1440
!        alon(i) = dall*float(i-1) + ax1
!      enddo
!      do j=1,720
!        alat(j) = dall*float(j-1) + ay1
!      enddo

      
       open (11,file='avhrr-only-v2.${data}_preliminary',form='unformatted',convert='big_endian')
       
       read (11) iyr,imo,ida,sst  
       read (11) iyr,imo,ida,anom             
       read (11) iyr,imo,ida,err
       read (11) iyr,imo,ida,ice
       read (11) title
!       print *,' '
       
!       print*, title
!       print*, 'SST, SST anomalies and error are in deg-C x 100' 
       print*,' SST date: year =',iyr,'  month =',imo,' day =',ida       
       
       do  i=1,nx
                do  j=1,ny
                 out(i,j)=(sst(i,j)*0.01)+273.15
                enddo
        enddo
	
	
!	write(12)out

!------Over the land, the value of SST data are equal 264.16 leaving shadows at the edges,
!------so, to solve the problem we fill with neighbors value
      DO Z=1,10
         DO I=1,nx
            DO J=1,ny
             
	    	  if (out(I,J) .eq. 263.16 .and. out(I+1,J) .ne. 263.16) then
	    	  out(I,J)=out(I+1,J)
	    	  endif
         
            ENDDO
         ENDDO
      ENDDO
!
      DO Z=1,10
         DO I=1,nx
            DO J=1,ny
		
		  if (out(I,J) .eq. 263.16 .and. out(I-1,J) .ne. 263.16) then
	    	  out(I,J)=out(I-1,J)
	        endif 
		  
            ENDDO
         ENDDO
      ENDDO
!      write(12)out
!---------End of Fill Data -----------!

!             do  jj= 1,ny
!                do  kk= 1,nx
!                 gsst(kk,jj) = out(kk,jj)
!                end do
!              end do
!
!...   add greenich to right side of grid
!
!             do jj = 1,ny
!              gsst(nxp1,jj) = gsst(1,jj)
!             end do
       open(12,file='sstwkl.${data}${hora}',form='unformatted',status='unknown',convert='big_endian') 
       write(12)  ((out(i,721-j),i=1,1440),j=1,720)

       stop  
       end

EOF

ftn -o letsm.x letsm.f90
letsm.x
rm -f letsm.f90 letsm.x avhrr-only-v2.${data}_preliminary
exit

